Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.webspheremqadapter.message
Class Message.MsgBody

    java.lang.Object
      com.stc.connector.webspheremqadapter.message.Message.MsgBody

All Implemented Interfaces:
  IMessage.MsgBody

Enclosing class:
  Message

    public class Message.MsgBody

extends java.lang.Object
implements IMessage.MsgBody

Facade for the data (buffer) portion of a `Message`.

Constructor Summary
`Message.MsgBody(IMessage m)` Create a MsgBody object.

Method Summary
`byte[]` | `getByteArrayData()` Synonym for `getByteArrayData()`.
`byte[]` | `getData()` Retrieve the content of the MsgBody.
`void` | `readByteArrayData()` Synonym for `readData()`.
`void` | `readData()` Retained for compatibility.
`void` | `setByteArrayData(byte[] val)` Synonym for `setData(byte[])`.
`void` | `setData(byte[] val)` Set content of MsgBody to the specified data.
`void` | `writeByteArrayData()` Synonym for `writeData()`.
`void` | `writeData()` Retained for compatibility.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Message.MsgBody

    public Message.MsgBody(IMessage m)

  Create a MsgBody object.

  Parameters:
    `m` - Owner of this object.

Method Detail

### setData

    public void setData(byte[] val)
                 throws java.io.IOException

  Set content of MsgBody to the specified data.

  Specified by:
    `setData` in interface `IMessage.MsgBody`
  Parameters:
    `val` - Data to copy to the MsgBody.
  Throws:
    `java.io.IOException`

### getData

    public byte[] getData()
                   throws java.io.EOFException,
                          java.io.IOException

  Retrieve the content of the MsgBody.

  Specified by:
    `getData` in interface `IMessage.MsgBody`
  Returns:
    MsgBody data previously set by `setData(byte[])` or `#setDataRef`.
  Throws:
    `java.io.EOFException`
    `java.io.IOException`

### setByteArrayData

    public void setByteArrayData(byte[] val)
                          throws java.io.IOException

  Synonym for `setData(byte[])`.

  Specified by:
    `setByteArrayData` in interface `IMessage.MsgBody`
  Parameters:
    `val` - Data to copy to the MsgBody.
  Throws:
    `java.io.IOException` - Thrown when an error occurs.

### getByteArrayData

    public byte[] getByteArrayData()
                            throws java.io.EOFException,
                                   java.io.IOException

  Synonym for `getByteArrayData()`.

  Specified by:
    `getByteArrayData` in interface `IMessage.MsgBody`
  Returns:
    `byte[]` - Returns MsgBody data previously set by `IMessage.MsgBody.setByteArrayData(byte[])`
  Throws:
    `java.io.EOFException` - Thrown when an error occurs.
    `java.io.IOException` - Thrown when an error occurs.

### readByteArrayData

    public void readByteArrayData()

  Synonym for `readData()`.

  Specified by:
    `readByteArrayData` in interface `IMessage.MsgBody`

### writeByteArrayData

    public void writeByteArrayData()

  Synonym for `writeData()`.

  Specified by:
    `writeByteArrayData` in interface `IMessage.MsgBody`

### readData

    public void readData()

  Retained for compatibility. Previously, it was necessary to call this method before calling `getData()`, in order that the data be copied from the Message buffer, to this MsgBody's buffer. `getData()` now performs this synchronization.

  Specified by:
    `readData` in interface `IMessage.MsgBody`

### writeData

    public void writeData()

  Retained for compatibility. Previously, it was necessary to call this method after calling `setData(byte[])`, in order that the data copied to this MsgBody's buffer be copied to the Message's buffer. `setData(byte[])` now performs this synchronization.

  Specified by:
    `writeData` in interface `IMessage.MsgBody`

Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.